### Virtual Method

# RB EncoderFactory prepare_sink

#### Declaration [src]

    void
    prepare_sink (
      RBEncoderFactory* factory,
      const char* uri,
      GObject* sink
    )

#### Description

No description available.

#### Parameters

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sink`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the method.